clang 8.0.0

Public Attributes | List of all members
clang::Sema::PragmaAttributeEntry Struct Reference

This an attribute introduced by #pragma clang attribute. More...

`#include "clang/Sema/Sema.h"`

Collaboration diagram for clang::Sema::PragmaAttributeEntry:
[legend]

## Public Attributes
SourceLocation | Loc
ParsedAttr * | Attribute
SmallVector< attr::SubjectMatchRule, 4 > | MatchRules
bool | IsUsed

## Detailed Description

This an attribute introduced by #pragma clang attribute.

Definition at line 499 of file Sema.h.

## Member Data Documentation

## ◆ Attribute

ParsedAttr* clang::Sema::PragmaAttributeEntry::Attribute

Definition at line 501 of file Sema.h.

## ◆ IsUsed

bool clang::Sema::PragmaAttributeEntry::IsUsed

Definition at line 503 of file Sema.h.

## ◆ Loc

SourceLocation clang::Sema::PragmaAttributeEntry::Loc

Definition at line 500 of file Sema.h.

## ◆ MatchRules

SmallVector<attr::SubjectMatchRule, 4> clang::Sema::PragmaAttributeEntry::MatchRules

Definition at line 502 of file Sema.h.

The documentation for this struct was generated from the following file:

- include/clang/Sema/Sema.h